com.jscape.inet.mft.workflow

## Class ActionContext

- java.lang.Object
- - com.jscape.inet.mft.workflow.ActionContext

- All Implemented Interfaces:
    java.io.Serializable

      public class ActionContext
      extends java.lang.Object
      implements java.io.Serializable

  Action context contains information about concrete action.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionContext()`
    `ActionContext(ActionContext that)`
    `ActionContext(java.lang.Class actionClass, java.util.Map<java.lang.String,java.lang.String> parametersMap, java.lang.String notes, ActionContext[] onSuccessActions, ActionContext[] onFailureActions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getActionClass()` Returns target action class.
    `java.lang.String` | `getNotes()`
    `ActionContext[]` | `getOnFailureActions()`
    `ActionContext[]` | `getOnSuccessActions()`
    `java.lang.String` | `getParameter(java.lang.String parameterName)` Returns parameter value.
    `java.lang.String[]` | `getParameters()` Returns available parameters names.
    `java.util.Map<java.lang.String,java.lang.String>` | `getParametersMap()` Returns action parameters map.
    `void` | `setActionClass(java.lang.Class value)` Sets target action class.
    `void` | `setNotes(java.lang.String value)`
    `void` | `setOnFailureActions(ActionContext[] value)`
    `void` | `setOnSuccessActions(ActionContext[] value)`
    `void` | `setParameter(java.lang.String parameterName, java.lang.String value)` Sets action parameter.
    `void` | `setParametersMap(java.util.Map<java.lang.String,java.lang.String> value)` Sets action parameters map.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionContext

          public ActionContext(java.lang.Class actionClass,
                               java.util.Map<java.lang.String,java.lang.String> parametersMap,
                               java.lang.String notes,
                               ActionContext[] onSuccessActions,
                               ActionContext[] onFailureActions)

    - #### ActionContext

          public ActionContext(ActionContext that)

    - #### ActionContext

          public ActionContext()

  - ### Method Detail

    - #### getActionClass

          public java.lang.Class getActionClass()

      Returns target action class.
      Returns:
        target action class

    - #### setActionClass

          public void setActionClass(java.lang.Class value)

      Sets target action class.
      Parameters:
        `value` - the action class

    - #### getParametersMap

          public java.util.Map<java.lang.String,java.lang.String> getParametersMap()

      Returns action parameters map.
      Returns:
        action parameters map

    - #### setParametersMap

          public void setParametersMap(java.util.Map<java.lang.String,java.lang.String> value)

      Sets action parameters map.
      Parameters:
        `value` - the action parameters map

    - #### setParameter

          public void setParameter(java.lang.String parameterName,
                                   java.lang.String value)

      Sets action parameter.
      Parameters:
        `parameterName` - the parameter name
        `value` - the parameter value

    - #### getParameter

          public java.lang.String getParameter(java.lang.String parameterName)

      Returns parameter value.
      Parameters:
        `parameterName` - the parameter name
      Returns:
        parameter value

    - #### getParameters

          public java.lang.String[] getParameters()

      Returns available parameters names.
      Returns:
        available parameters names

    - #### getNotes

          public java.lang.String getNotes()

    - #### setNotes

          public void setNotes(java.lang.String value)

    - #### getOnSuccessActions

          public ActionContext[] getOnSuccessActions()

    - #### setOnSuccessActions

          public void setOnSuccessActions(ActionContext[] value)

    - #### getOnFailureActions

          public ActionContext[] getOnFailureActions()

    - #### setOnFailureActions

          public void setOnFailureActions(ActionContext[] value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved